Bug 814932

Summary: Non-fatal POSTIN scriptlet failure
Product: [Fedora] Fedora Reporter: Paul Bolle <pebolle>
Component: qemuAssignee: Fedora Virtualization Maintainers <virt-maint>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: amit.shah, berrange, cfergeau, dwmw2, ehabkost, itamar, knoel, pbonzini, scottt.tw, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: qemu-1.0-17.fc17 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-05-02 00:47:45 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Paul Bolle 2012-04-21 07:29:47 EDT
Description of problem:
Installing qemu=system-x86 triggers a warning on non-KVM capable systems.

Version-Release number of selected component (if applicable):
1.0-15

How reproducible:
install qemu-sysem-x86 (eg, via yum update)

Steps to Reproduce:
1. yum update qemu-system-x86
2.
3.
  
Actual results:
Non-fatal POSTIN scriptlet failure in rpm package 2:qemu-system-x86-1.0-15.fc18.i686
warning: %post(qemu-system-x86-2:1.0-15.fc18.i686) scriptlet failed, exit status 1

Expected results:
NOTA

Additional info:
0) $ rpm -q qemu-system-x86 --scripts
postinstall scriptlet (using /bin/sh):
# load kvm modules now, so we can make sure no reboot is needed.
# If there's already a kvm module installed, we don't mess with it
sh /etc/sysconfig/modules/kvm.modules

1) $ rpm -qf /etc/sysconfig/modules/kvm.modules 
qemu-system-x86-1.0-15.fc18.i686

2) $ cat /etc/sysconfig/modules/kvm.modules 
#!/bin/sh

case "$(</proc/cpuinfo)" in
    *vmx*) vmx=1 ;;
    *svm*) svm=1 ;;
esac

[ "$vmx" ] && modprobe -b kvm-intel >/dev/null 2>&1
[ "$svm" ] && modprobe -b kvm-amd >/dev/null 2>&1
[ "$vmx" -o "$svm" ] && modprobe -b vhost-net >/dev/null 2>&1

3) That kvm.modules script apparently needs to exit early (with a zero exit status) if both "$vmx" and "$svm" are empty.
Comment 1 Paul Bolle 2012-04-21 07:31:26 EDT
My ability to correctly use web interfaces is apparently declining.
Comment 2 Paolo Bonzini 2012-04-23 04:16:26 EDT
Should be fixed in 1.0-18.fc17 and 1.0-18.fc18.
Comment 3 Fedora Update System 2012-04-23 06:30:05 EDT
qemu-1.0-17.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/qemu-1.0-17.fc17
Comment 4 Fedora Update System 2012-04-23 23:16:47 EDT
Package qemu-1.0-17.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-1.0-17.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6457/qemu-1.0-17.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-05-02 00:47:45 EDT
qemu-1.0-17.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.